{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;",
  "numberOfDefinitions": 12,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ExceptionHandlerOperations.validateOneInput(Lorg/eclipse/uml2/uml/ExceptionHandler;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateNotOwnSelf(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/QualifierValueOperations.validateTypeOfQualifier(Lorg/eclipse/uml2/uml/QualifierValue;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.removeKeyword(Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ClauseOperations.validateBodyOutputPins(Lorg/eclipse/uml2/uml/Clause;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplication(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.validateHasOwner(Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/LinkEndDataOperations.validatePropertyIsAssociationEnd(Lorg/eclipse/uml2/uml/LinkEndData;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ExceptionHandlerOperations.validateEdgeSourceTarget(Lorg/eclipse/uml2/uml/ExceptionHandler;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Ljava/lang/Object;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.applyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplicable(Lorg/eclipse/uml2/uml/Stereotype;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotypes(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.hasKeyword(Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getModel()Lorg/eclipse/uml2/uml/Model;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.setValue(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;Ljava/lang/Object;)V": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getTargetDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.mustBeOwned()Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ClauseOperations.validateDeciderOutput(Lorg/eclipse/uml2/uml/Clause;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeRequired(Lorg/eclipse/uml2/uml/Stereotype;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ProfileApplicationOperations.getAppliedDefinition(Lorg/eclipse/uml2/uml/ProfileApplication;Lorg/eclipse/uml2/uml/NamedElement;)Lorg/eclipse/emf/ecore/ENamedElement;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.isStereotypeApplied(Lorg/eclipse/uml2/uml/Stereotype;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ExceptionHandlerOperations.validateExceptionBody(Lorg/eclipse/uml2/uml/ExceptionHandler;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LinkEndDataOperations.validateSameType(Lorg/eclipse/uml2/uml/LinkEndData;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.destroy()V": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/QualifierValueOperations.validateQualifierAttribute(Lorg/eclipse/uml2/uml/QualifierValue;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getKeywords()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getApplicableStereotypes()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getNearestPackage()Lorg/eclipse/uml2/uml/Package;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotype(Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/GeneralizationOperations.validateGeneralizationSameClassifier(Lorg/eclipse/uml2/uml/Generalization;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/QualifierValueOperations.validateMultiplicityOfQualifier(Lorg/eclipse/uml2/uml/QualifierValue;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PackageImportOperations.validatePublicOrPrivate(Lorg/eclipse/uml2/uml/PackageImport;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.allOwnedElements()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ProfileApplicationOperations.getAppliedDefinition(Lorg/eclipse/uml2/uml/ProfileApplication;)Lorg/eclipse/emf/ecore/EPackage;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInvoke(ILorg/eclipse/emf/common/util/EList;)Ljava/lang/Object;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/LinkEndDataOperations.validateMultiplicity(Lorg/eclipse/uml2/uml/LinkEndData;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ElementImportOperations.validateImportedElementIsPublic(Lorg/eclipse/uml2/uml/ElementImport;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LinkEndDataOperations.validateQualifiers(Lorg/eclipse/uml2/uml/LinkEndData;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.unapplyStereotype(Lorg/eclipse/uml2/uml/Stereotype;)Lorg/eclipse/emf/ecore/EObject;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships(Lorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateParameterOperations.validateMustBeCompatible(Lorg/eclipse/uml2/uml/TemplateParameter;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getStereotypeApplications()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateSignatureOperations.validateOwnElements(Lorg/eclipse/uml2/uml/TemplateSignature;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedStereotypes()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRequiredStereotypes()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.createEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getAppliedSubstereotype(Lorg/eclipse/uml2/uml/Stereotype;Ljava/lang/String;)Lorg/eclipse/uml2/uml/Stereotype;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ElementImportOperations.getName(Lorg/eclipse/uml2/uml/ElementImport;)Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateBindingOperations.validateOneParameterSubstitution(Lorg/eclipse/uml2/uml/TemplateBinding;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.addKeyword(Ljava/lang/String;)Z": 12,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getSourceDirectedRelationships()Lorg/eclipse/emf/common/util/EList;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ExceptionHandlerOperations.validateResultPins(Lorg/eclipse/uml2/uml/ExceptionHandler;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/LinkEndDataOperations.validateEndObjectInputPin(Lorg/eclipse/uml2/uml/LinkEndData;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateParameterSubstitutionOperations.validateMustBeCompatible(Lorg/eclipse/uml2/uml/TemplateParameterSubstitution;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ElementImportOperations.validateVisibilityPublicOrPrivate(Lorg/eclipse/uml2/uml/ElementImport;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/TemplateBindingOperations.validateParameterSubstitutionFormal(Lorg/eclipse/uml2/uml/TemplateBinding;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotation(Ljava/lang/String;)Lorg/eclipse/emf/ecore/EAnnotation;": 12,
    "Lorg/eclipse/uml2/uml/internal/operations/ClauseOperations.validateTestAndBody(Lorg/eclipse/uml2/uml/Clause;Lorg/eclipse/emf/common/util/DiagnosticChain;Ljava/util/Map;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getRelationships()Lorg/eclipse/emf/common/util/EList;": 12
  }
}